## kolf 19.08.1

=== debian/changelog ===
kolf (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - remove libkf5kdelibs4support-dev, libkf5windowsystem-dev,
      libphonon4qt5-dev, and libphonon4qt5experimental-dev
    - add libkf5completion-dev, libkf5doctools-dev, and libkf5textwidgets-dev
    - explicitly add gettext
  * Drop the Debian man page, outdated.
  * Do not ship TODO as documentation, since it is useless for users.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Oct 2019 07:59:36 +0200
