## kolf 20.12.1

=== graphics/CMakeLists.txt ===
install( FILES
	default_theme.svgz
	# default_theme.desktop does not need to be installed
DESTINATION  ${KDE_INSTALL_DATADIR}/kolf/pics/ )
