## kolf 21.08.01

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,18 @@
-project(kolf)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
-set (QT_MIN_VERSION "5.11.0")
-set (KF5_MIN_VERSION "5.30.0")
+# KDE Application Version, managed by release script
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(kolf VERSION ${RELEASE_SERVICE_VERSION})
+
+set (QT_MIN_VERSION "5.15.0")
+set (KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -28,14 +35,25 @@
 include(FeatureSummary)
 include(ECMAddAppIcon)
 include(ECMInstallIcons)
+include(ECMSetupVersion)
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KOLF VERSION_HEADER kolf_version.h)
+
+add_definitions(
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DQT_NO_KEYWORDS
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_ASCII
+    -DQT_NO_CAST_TO_ASCII
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_STRICT_ITERATORS
+    -DQT_USE_QSTRINGBUILDER
+    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
+)
 
 add_subdirectory(sounds)
 add_subdirectory(courses)
@@ -43,12 +61,12 @@
 add_subdirectory(graphics)
 add_subdirectory(doc)
 
+add_library(kolfprivate STATIC)
+
 # we have a static copy of Box2D in our source tree
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/external)
+target_include_directories(kolfprivate PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/external)
 
-########### next target ###############
-
-set(box2d_SRCS
+target_sources(kolfprivate PRIVATE
         external/Box2D/Common/b2StackAllocator.cpp
         external/Box2D/Common/b2Settings.cpp
         external/Box2D/Common/b2Math.cpp
@@ -93,11 +111,9 @@
         external/Box2D/Collision/b2CollideEdge.cpp
 )
 
-
-set(kolf_LIB_SRCS
+target_sources(kolfprivate PRIVATE
     game.cpp
     kolf.cpp
-    kolfNumInput.cpp
     newgame.cpp
     canvasitem.cpp
     ball.cpp
@@ -118,11 +134,8 @@
     ${box2d_SRCS}
 )
 
-add_library(kolfprivate STATIC ${kolf_LIB_SRCS})
-
 target_link_libraries(kolfprivate
-    Qt5::Gui
-    Qt5::Widgets
+    KF5KDEGames
     KF5::Crash
     KF5::Completion
     KF5::ConfigCore
@@ -132,16 +145,17 @@
     KF5::KIOCore
     KF5::TextWidgets
     KF5::XmlGui
-    KF5KDEGames
+    Qt::Gui
+    Qt::Widgets
 )
 
 ########### next target ###############
 
-set(kolf_SRCS main.cpp)
+add_executable(kolf)
+target_sources(kolf PRIVATE main.cpp)
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/*-apps-kolf.png")
-ecm_add_app_icon(kolf_SRCS ICONS ${ICONS_SRCS})
-add_executable(kolf ${kolf_SRCS})
+ecm_add_app_icon(kolf ICONS ${ICONS_SRCS})
 
 target_link_libraries( kolf kolfprivate)
 install(TARGETS kolf  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
